Page MenuHomePhabricator

Outline work (outcomes and outputs) of RelEng's Q2 Gerrit migration work
Closed, ResolvedPublic

Description

Like the previous quarter (201516Q1), to be linked from our 20516Q2 page.

From our Q2 goals

https://www.mediawiki.org/wiki/Wikimedia_Release_Engineering_Team/Goals/201516Q2

  • Decommission Gitblit - task T111465
  • Integrate Differential with our Continuous Integration infrastructure - task T112133

From the etherpad

STEP 0: Finish https://phabricator.wikimedia.org/tag/gitblit-deprecate/

  • side project: setup github replication from Phabricator
  • side project: 1:1 mapping of repo names (gerrit) to callsigns (phab)

STEP 1: Write up an RFC of what the ideal arcanist/differential workflow would be.

STEP 2: CI CI CI

  • Herald + Harbormaster + Jenkins seems easiest
    • Harbormaster is the new Zuul
  • Rough CI plan (Mukunda to diagram):
    • Differential revision is posted
    • Herald calls the appropriate build plan in Harbormaster
    • Harbormaster calls out to appropriate jenkins endpoint(s)
    • Jenkins does $stuff
    • Jenkins responds (via Conduit?) to the differential with the build result(s)

Event Timeline

greg created this task.Aug 28 2015, 12:39 AM
greg raised the priority of this task from to Normal.
greg updated the task description. (Show Details)
greg added subscribers: greg, Aklapper, mmodell, demon.
Qgil added a subscriber: Qgil.Aug 28 2015, 6:46 AM

Do you think you will need some help from Developer-Advocacy during October-December? Just checking for our own planning.

greg added a comment.Aug 28 2015, 3:17 PM

@Qgil: Maybe? I'd love support, most likely. I don't have a firm idea yet (part of this task's work). It might be worth a quick sync up between you, me, mukunda, chad, and andre? Wish you would have been at the manager's offsite these past two days.... :)

greg set Security to None.
greg added a comment.EditedSep 1 2015, 9:25 PM

Meeting to discuss what the roadmap looks like between "here" and "code review happens in Phab" is scheduled for Thursday morning Pacific with Chad, Mukunda, and Antoine. Purposefully left out anyone from ECT (and myself). We'll come in later. :)

Qgil added a comment.Sep 1 2015, 9:41 PM

I'll be next week in San Francisco. If you are there as well ;) then I'll just go hunt you early some morning for a Differential chat.

greg added a subscriber: hashar.Sep 1 2015, 9:45 PM
greg moved this task from To Triage to Documentation on the Gerrit-Migration board.Sep 3 2015, 4:28 PM
greg updated the task description. (Show Details)Sep 24 2015, 11:12 PM
greg added a comment.Sep 24 2015, 11:17 PM

@mmodell, @demon, @hashar:

See the task description for context/current plan of record.

Should our plan of action actually be:

Q2:

  • decommission gitblit
  • publish and discuss RFC (context in description)
    • sidenote: Should this be talked about that the Dev Summit?
  • Not a mentioned/explicit quarterly goal, but actually doing: CI integration with Differential)

Q3:

  • Finish CI integration
  • Assuming positive RFC outcome: flip the switch
Qgil added a comment.Sep 25 2015, 9:12 AM

sidenote: Should this be talked about that the Dev Summit?

The Summit fits perfectly in your timeline. It would make sense to have a session to gather feedback for the RfC, answer to questions, discuss hard problems... in the context of the RfC and the other ongoing discussions.

greg closed this task as Resolved.Oct 1 2015, 2:59 AM
Qgil awarded a token.Oct 1 2015, 8:07 AM